g77 for mac

Discussion in 'Mac Apps and Mac App Store' started by hoschi, May 4, 2006.

  1. hoschi macrumors newbie

    Sep 20, 2005

    I installed g77 version 3.4.3 from Fink along with xcode 2.2.1 for a OS 10.4 system.

    However when I use try to install a program which uses g77 and gcc (version 4.0.1 installed) I get an error message like the following:

    /usr/bin/ld:can't open: /usr/lib/gcc/powerpc-apple-darwin8/4.0.0/libgcc.a (No such file or directory, errno=2)

    I checked online and it turns out that if one installs the version 3.4.4 or greater then the problem is solved. But I installed version 3.4.4 from
    hpc.sourceforge.net according to the directions given there but they don't make any difference.
    ALso I read that gfortran is used rather that g77 for versions of gcc from 4.0.0.

    At this point I am really confused and don't really know what to do.
    ANy inputs would be greatly helpful.

  2. MisterMe macrumors G4


    Jul 17, 2002
    So you are supposed to use gfortran. What's so difficult about the concept?

Share This Page